Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class AbstractMultimap.WrappedCollection.DelegateIterator

    java.lang.Object
      org.modeshape.common.collection.AbstractMultimap.WrappedCollection.DelegateIterator

All Implemented Interfaces:
  Iterator<V>

Direct Known Subclasses:
  AbstractMultimap.WrappedList.DelegateListIterator

Enclosing class:
  AbstractMultimap.WrappedCollection

    protected class AbstractMultimap.WrappedCollection.DelegateIterator

extends Object
implements Iterator<V>

Constructor Summary
`protected` | `AbstractMultimap.WrappedCollection.DelegateIterator()`
`protected` | `AbstractMultimap.WrappedCollection.DelegateIterator(int index)`

Method Summary
`boolean` | `hasNext()`
`protected Iterator<V>` | `iterator()`
`V` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMultimap.WrappedCollection.DelegateIterator

    protected AbstractMultimap.WrappedCollection.DelegateIterator()

### AbstractMultimap.WrappedCollection.DelegateIterator

    protected AbstractMultimap.WrappedCollection.DelegateIterator(int index)

Method Detail

### iterator

    protected Iterator<V> iterator()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<V>`
  See Also:
    `Iterator.hasNext()`

### next

    public V next()

  Specified by:
    `next` in interface `Iterator<V>`
  See Also:
    `Iterator.next()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<V>`
  See Also:
    `Iterator.remove()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.